/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"

int main(void)
{
    CyGlobalIntEnable; /* Enable global interrupts. */
    
    // set 32kHz crystal to operate in low power mode when in sleep
    CyXTAL_32KHZ_SetPowerMode(1);
    
	//start WDT
	CyWdtStart(CYWDT_1024_TICKS,CYWDT_LPMODE_DISABLED);
    
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
    CyPmSaveClocks();
    for(;;)
    {
        /* Place your application code here. */
        // clear wdt
        CyWdtClear();
        
        // sleep 1 s
        
		CyPmSleep(PM_SLEEP_TIME_ONE_PPS,PM_SLEEP_SRC_NONE);
		CyPmReadStatus(CY_PM_ONEPPS_INT);
		
    }
    CyPmRestoreClocks();
}

/* [] END OF FILE */
